# Get statuses of all messages sent based on the specified ruleset_id

Retrieves statuses of messages sent from the Outbound module. Currently, this API only supports WhatsApp messages.


This endpoint returns paginated status events for WhatsApp messages sent via the Outbound module, providing
information about delivery state and related message details.

Endpoint: GET /messages/status
Version: 2.18
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Query parameters:

  - `ruleset_id` (string, required)
    The unique identifier for the set of messages to check status for

  - `per_page` (integer)
    Number of results per page (default 50, max 100)

  - `starting_after` (string)
    Cursor for pagination, used to fetch the next page of results

## Header parameters:

  - `Intercom-Version` (string)

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `type` (string, required)
    Enum: "list"

  - `ruleset_id` (string, required)
    The provided ruleset ID

  - `pages` (object, required)

  - `pages.type` (string, required)
    Enum: "pages"

  - `pages.per_page` (integer, required)
    Number of results per page

  - `pages.total_pages` (integer, required)
    Total number of pages

  - `pages.next` (object)
    Information for fetching next page (null if no more pages)

  - `pages.next.starting_after` (string)
    Cursor for the next page

  - `total_count` (integer, required)
    Total number of events

  - `events` (array, required)

  - `events.id` (string, required)
    Event ID

  - `events.conversation_id` (string, required)
    ID of the conversation

  - `events.status` (string, required)
    Current status of the message
    Enum: "sent", "delivered", "read", "failed"

  - `events.type` (string, required)
    Event type
    Enum: "broadcast_outbound"

  - `events.created_at` (integer, required)
    Creation timestamp

  - `events.updated_at` (integer, required)
    Last update timestamp

  - `events.whatsapp_message_id` (string, required)
    WhatsApp's message identifier

  - `events.template_name` (string)
    Name of the WhatsApp template used

## Response 400:

  - `400` (unknown)
    Bad request - missing required parameters

## Response 400 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 403:

  - `403` (unknown)
    API plan restricted

## Response 403 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code.
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.data` (object)
    Optional. Extra detail about the error, for example `required_permissions` on a 403 `action_forbidden` error.
    Example: {"required_permissions":["read_conversations"]}

## Response 200 examples:

  - `Successful response` (unknown)

## Response 400 examples:

  - `missing ruleset_id` (unknown)

## Response 401 examples:

  - `Unauthorized` (unknown)

## Response 403 examples:

  - `API plan restricted` (unknown)

## Response 500 examples:

  - `server error` (unknown)

